List jobs for the authenticated user
curl --request GET \
--url https://api.urltodata.ai/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "<string>",
"queue": "<string>",
"status": "queued",
"createdAt": 123,
"completedAt": 123,
"durationMs": 123,
"error": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}API Reference
List jobs for the authenticated user
GET
/
v1
/
jobs
List jobs for the authenticated user
curl --request GET \
--url https://api.urltodata.ai/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "<string>",
"queue": "<string>",
"status": "queued",
"createdAt": 123,
"completedAt": 123,
"durationMs": 123,
"error": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Filter by job status
Available options:
queued, active, completed, failed Max jobs to return
Pagination offset